classification
Title: configure: WARNING: sys/socket.h: present but cannot be compiled
Type: compile error Stage: test needed
Components: Build Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, georg.brandl, rrochele
Priority: normal Keywords:

Created on 2008-06-30 20:15 by rrochele, last changed 2010-08-21 22:54 by georg.brandl. This issue is now closed.

Messages (3)
msg69017 - (view) Author: ric (rrochele) Date: 2008-06-30 20:15
Building Python 2.5.2 on Solaris9, receive error:

checking sys/socket.h presence... yes
configure: WARNING: sys/socket.h: present but cannot be compiled
configure: WARNING: sys/socket.h:     check for missing prerequisite
headers?
configure: WARNING: sys/socket.h: see the Autoconf documentation
configure: WARNING: sys/socket.h:     section "Present But Cannot Be
Compiled"
configure: WARNING: sys/socket.h: proceeding with the preprocessor's result
configure: WARNING: sys/socket.h: in the future, the compiler will take
precedence
configure: WARNING:     ##
------------------------------------------------ ##
configure: WARNING:     ## Report this to
http://www.python.org/python-bugs ##
configure: WARNING:     ##
------------------------------------------------ ##
checking for sys/socket.h... yes
msg87924 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-05-16 20:34
ric,
Can you confirm this for 2.6?
msg114591 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 22:54
Closing due to lack of activity.
History
Date User Action Args
2010-08-21 22:54:58georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114591

resolution: out of date
2009-05-16 20:34:28ajaksu2setpriority: normal
versions: + Python 2.6, - Python 2.5
nosy: + ajaksu2

messages: + msg87924

stage: test needed
2008-06-30 20:15:28rrochelecreate